import request from '@/config/axios'

// 查询ScheduleJob列表
export const getScheduleJobPage = (params) => {
  return request.get({ url: '/shasteel/job/schedule/page', params })
}

// 查询ScheduleJob详情
export const getScheduleJob = (id) => {
  return request.get({ url: '/shasteel/job/schedule/' + id})
}

// 新增ScheduleJob
export const createScheduleJob = (data) => {
  return request.post({ url: '/shasteel/job/schedule', data })
}

// 修改ScheduleJob
export const updateScheduleJob = (data) => {
  return request.put({ url: '/shasteel/job/schedule', data })
}

// 删除ScheduleJob
export const deleteScheduleJob = (id) => {
  return request.delete({ url: '/shasteel/job/schedule?id=' + id })
}

// 立即执行
export const runScheduleJob = (id) => {
  return request.put({ url: '/shasteel/job/schedule/run?id=' + id })
}

// 暂停
export const pauseScheduleJob = (id) => {
  return request.put({ url: '/shasteel/job/schedule/pause?id=' + id })
}

// 恢复
export const resumeScheduleJob = (id) => {
  return request.put({ url: '/shasteel/job/schedule/resume?id=' + id })
}
